Skip to main content
Use this endpoint to check the status of a single PDF generation request. This is particularly useful when:
  • You’ve made an asynchronous request and want to poll for status instead of waiting for the webhook
  • A synchronous request timed out (>30 seconds) and was automatically queued asynchronously
If you’re looking to check the status of a batch PDF generation, use the Get Batch PDF Status endpoint instead.
GET https://api.pdfnoodle.com/v1/pdf/status/:requestId

Request

Response

The endpoint responds with 200 OK and returns the current status of the PDF generation:

Parameters

string
required
The requestId returned from an asynchronous request or from a synchronous request that timed out

Response Fields

If the renderStatus is FAILED, you should contact support to figure out why your PDF generation failed.

Usage Example

Here’s a complete example of polling for PDF status: